local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("InFlight", "InFlight")
if not Addon then return end

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "InFlightShakedown"

function Addon:Start()

    -- show bar now
    self:ShowBar()

    --schedule repeating bars
    NShakedown:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.ShowBar, self)

end

function Addon:Stop()
    
    -- stop the repeating event
    NShakedown:RemoveTimer(TIMER_ID)

end

function Addon:ShowBar()

    -- show a dummy bar
    InFlight:StartMiscFlight("InFlight", "InFlight")

end