local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("nQuestLog", "nQuestLog")
if not Addon then return end

-- members
Addon.wasVisible = false
Addon.wasLocked = false

function Addon:Start()

    -- unlock the minion
    self.wasLocked = nQuestLog.db.profile.minionLocked
    nQuestLog.db.profile.minionLocked = false
    
    -- show the minion
    self.wasVisible = nQuestLogFrame:IsVisible()
    if not self.wasVisible then
        nQuestLog:ToggleVisible(true)
    end
end

function Addon:Stop()

    -- lock the minion
    nQuestLog.db.profile.minionLocked = self.wasLocked
    
    -- hide the minion
    if not self.wasVisible then
        nQuestLog:ToggleVisible(false)
    end
end