local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Scorchio", "Scorchio")
if not Addon then return end

function Addon:Start()
    
    -- show the anchor
    Scorchio.anchor:Show()
    
    -- show test bars
    Scorchio:ShowTestBars()
end

function Addon:Stop()

    -- hide the anchor
    Scorchio.anchor:Hide()
    
    -- hide test bars
    Scorchio:HideTestBars()

end